## FolksRole

FolksRole — Role a contact has in an organisation.

## Types and Values

#define | FOLKS_TYPE_ROLE
struct | FolksRole
struct | FolksRoleClass
#define | FOLKS_TYPE_ROLE_FIELD_DETAILS
struct | FolksRoleFieldDetails
struct | FolksRoleFieldDetailsClass
| FolksRoleDetails
struct | FolksRoleDetailsIface

## Description

This represents the role a FolksPersona or FolksIndividual has in a single given organisation, such as a company.

## Functions

## Types and Values

### FOLKS_TYPE_ROLE

    #define FOLKS_TYPE_ROLE (folks_role_get_type ())

The type for FolksRole.

### struct FolksRole

    struct FolksRole {
    	GObject parent_instance;
    	FolksRolePrivate * priv;
    };

Role a contact has in an organisation.

This represents the role a FolksPersona or FolksIndividual has in a single given organisation, such as a company.

Since: 0.4.0

### struct FolksRoleClass

    struct FolksRoleClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_ROLE`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FOLKS_TYPE_ROLE_FIELD_DETAILS

    #define FOLKS_TYPE_ROLE_FIELD_DETAILS (folks_role_field_details_get_type ())

The type for FolksRoleFieldDetails.

### struct FolksRoleFieldDetails

    struct FolksRoleFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksRoleFieldDetailsPrivate * priv;
    };

Object representing details of a contact in an organisation which can have some parameters associated with it.

See FolksAbstractFieldDetails.

Since: 0.6.0

### struct FolksRoleFieldDetailsClass

    struct FolksRoleFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_ROLE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksRoleDetails

    typedef struct _FolksRoleDetails FolksRoleDetails;

This interfaces represents the list of roles a FolksPersona and FolksIndividual might have.

Since: 0.4.0

### struct FolksRoleDetailsIface

    struct FolksRoleDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_roles) (FolksRoleDetails* self, GeeSet* roles, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_roles_finish) (FolksRoleDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_roles) (FolksRoleDetails* self);
    	void (*set_roles) (FolksRoleDetails* self, GeeSet* value);
    };

Interface for creating FolksRoleDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_roles` () | virtual method called by ``folks_role_details_change_roles()`` |
`change_roles_finish` () | asynchronous finish function for `change_roles`, called by ``folks_role_details_change_roles()`` |
`get_roles` () | getter method for the abstract property "roles" |
`set_roles` () | setter method for the abstract property "roles" |